import type {ListViewConfig} from '@/helpers/models';

export const listViewConfig: ListViewConfig = {
  url: 'url',
  allowedGlobalActions: ['add'],
  searchFormOptions: {
    schools: [
      {
        value: 'DEMOSCHOOL',
        label: 'DEMOSCHOOL',
      }, {
        value: 'School1',
        label: 'Schule 1',
      },
    ],
    divisClasstype: [
      {
        value: 'class',
        label: 'Class',
      },
      {
        value: 'offer',
        label: 'Offer',
      },
    ],
    activationStates: [
      {
        value: 'disabled',
        label: 'Disabled',
      },
      {
        value: 'enabled',
        label: 'Enabled',
      },
    ],
    isLmsGroup: [
      {
        value: 'disabled',
        label: 'Disabled',
      },
      {
        value: 'enabled',
        label: 'Enabled',
      },
    ],
    isIservGroup: [
      {
        value: 'disabled',
        label: 'Disabled',
      },
      {
        value: 'enabled',
        label: 'Enabled',
      },
    ],
  },
  columns: [
    {
      label: 'School year',
      attribute: 'idiSchoolyear',
    },
    {
      label: 'Name',
      attribute: 'name',
    },
    {
      label: 'Description',
      attribute: 'description',
    },
    {
      label: 'Group type',
      attribute: 'divisClasstype',
    },
    {
      label: 'Source UID',
      attribute: 'groupSourceId',
    },
    {
      label: 'Creation date',
      attribute: 'createTimestamp',
      formatter: 'date',
    },
    {
      label: 'Date of last change',
      attribute: 'modifyTimestamp',
      formatter: 'date',
    },
    {
      label: 'Record UID',
      attribute: 'recordUID',
    },
    {
      label: 'Activation state',
      attribute: 'disabled',
      formatter: 'boolean:Inactive:Active',
    },
    {
      label: 'Activation date',
      attribute: 'divisStartdate',
      formatter: 'date',
    },
    {
      label: 'Expiry date',
      attribute: 'divisEnddate',
      formatter: 'date',
    },
    {
      label: 'Scheduled deletion date',
      attribute: 'purgeDate',
      formatter: 'date',
    },
    {
      label: 'LMS enabled',
      attribute: 'isLmsGroup',
      formatter: 'boolean:LMS enabled:LMS disabled',
    },
    {
      label: 'IServ enabled',
      attribute: 'isIservGroup',
      formatter: 'boolean:IServ enabled:IServ disabled',
    },
  ],
};
